
package de.ivu.elect.presentation.wahl.menu;

import javax.inject.Inject;

import de.ivu.elect.business.mandant.control.MandantSupport;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.WahlMandantenAufteilenMoeglich;
import de.ivu.elect.presentation.wahl.WahlMandantenAufteilenView;

public class WasWahlMandantenAufteilenMenuItemEntry extends AbstractWahlMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient MandantSupport mandantSupport;

  @Inject
  private transient WahlMandantenAufteilenMoeglich wahlMandantenAufteilenMoeglich;

  public WasWahlMandantenAufteilenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHL_FUER_SUBSYSTEME_KONFIGURIEREN;
  }

  @Override
  public String getTargetViewId() {
    return WahlMandantenAufteilenView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "wahl.mandant.aufteilen.menu.item";
  }

  @Override
  public String getIcon() {
    return "fa fa-share-alt";
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && mandantSupport.isMandantenUnterstuetzt();
  }

  @Override
  public boolean isDisabledInternal() {
    return super.isDisabledInternal() || !wahlMandantenAufteilenMoeglich.isAufteilenMoeglich();

  }
}
